Index: /branches/UKMO/dev_r5518_cleanup_1d_cpl/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90
===================================================================
--- /branches/UKMO/dev_r5518_cleanup_1d_cpl/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 10042)
+++ /branches/UKMO/dev_r5518_cleanup_1d_cpl/NEMOGCM/NEMO/OPA_SRC/SBC/cpl_oasis3.F90	(revision 10043)
@@ -329,5 +329,4 @@
                   ! Define 0D (Greenland or Antarctic ice mass) or 1D (river outflow) coupling fields
                   IF (srcv(ji)%dimensions <= 1) THEN
-WRITE(numout,*) "RSRH 0d or 1d define field ",zclname; flush(numout)
                     IF (nproc == 0) THEN                    
                        
@@ -352,11 +351,8 @@
 	                                OASIS_In           , (/ 0, 0 /) , OASIS_REAL, nerror )
                     END IF
-WRITE(numout,*) "RSRH 0d field done ",zclname,nerror; flush(numout)
                   ELSE 
-WRITE(numout,*) "RSRH 2d define field ",zclname; flush(numout)
                     ! It's a "normal" 2D (or pseudo 3D) coupling field.  
                     CALL oasis_def_var (srcv(ji)%nid(jc,jm), zclname, id_part   , (/ 2, 0 /),   &
                                          OASIS_In           , ishape , OASIS_REAL, nerror )
-WRITE(numout,*) "RSRH 2d field done ",zclname,nerror; flush(numout)
                   ENDIF
 
@@ -376,7 +372,5 @@
       ! End of definition phase
       !------------------------------------------------------------------
- WRITE(numout,*) "RSRH NEMO calling enddef";flush(numout)      
       CALL oasis_enddef(nerror)
-WRITE(numout,*) "RSRH NEMO finished enddef", nerror;flush(numout)      
       IF( nerror /= OASIS_Ok )   CALL oasis_abort ( ncomp_id, 'cpl_define', 'Failure in oasis_enddef')
       !
Index: /branches/UKMO/dev_r5518_cleanup_1d_cpl/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90
===================================================================
--- /branches/UKMO/dev_r5518_cleanup_1d_cpl/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 10042)
+++ /branches/UKMO/dev_r5518_cleanup_1d_cpl/NEMOGCM/NEMO/OPA_SRC/SBC/sbccpl.F90	(revision 10043)
@@ -485,7 +485,5 @@
       IF( TRIM( sn_rcv_cal%cldes ) == 'coupled' )   srcv(jpr_cal)%laction = .TRUE.
       srcv(jpr_grnm  )%clname = 'OGrnmass'   
-      srcv(jpr_grnm  )%dimensions = 0 ! Scalar field   
-write(numout,*) "RSRH set up grnmss dimension:"
-
+      srcv(jpr_grnm  )%dimensions = 0 ! Scalar field
 
       IF( TRIM( sn_rcv_grnm%cldes ) == 'coupled' )   srcv(jpr_grnm)%laction = .TRUE.
@@ -959,22 +957,12 @@
             !
             CASE( 0 )   ! Scalar field
-WRITE(numout,*) "RSRH allocate zero dim field z3",jn ; flush(numout)
-
-               ! We have a scalar field
                ALLOCATE( frcv(jn)%z3(1,1,1) )
                
             CASE( 1 )   ! 1D field
-            
-               ! In the special case of 1D fields we can't allocate the array yet as
-               ! we don't know what nn_cpl_river is. 
-WRITE(numout,*) "RSRH allocate 1 dim field z3",jn, nn_cpl_river ; flush(numout)
-               
                ALLOCATE( frcv(jn)%z3(nn_cpl_river,1,1) )
                
-            CASE DEFAULT
-            
- WRITE(numout,*) "RSRH allocate 2 dim field z3",jn,srcv(jn)%nct ; flush(numout)
-              ! We have a "normal" 2D (or pseudo 3D) field.
+            CASE DEFAULT  ! 2D (or pseudo 3D) field.
                ALLOCATE( frcv(jn)%z3(jpi,jpj,srcv(jn)%nct) )
+               
             END SELECT
          END IF
@@ -1118,5 +1106,4 @@
       !
       IF( ln_mixcpl )   zmsk(:,:) = 1. - xcplmask(:,:,0)
-write(numout,*) "RSRH in cpl_rcv",kt ; flush(numout)
       !
       !                                                      ! ======================================================= !
@@ -1126,18 +1113,13 @@
       DO jn = 1, jprcv                                          ! received fields sent by the atmosphere
          IF( srcv(jn)%laction ) THEN 
-write(numout,*) "RSRH recieving field via call to cpl_rcv",kt,jn ; flush(numout)
 
             IF ( srcv(jn)%dimensions == 0 ) THEN
-write(numout,*) "RSRH recieving 0d or 1d field",kt,jn ; flush(numout)
                CALL cpl_rcv_1d( jn, isec, frcv(jn)%z3, SIZE(frcv(jn)%z3), nrcvinfo(jn) )
             ELSE
-write(numout,*) "RSRH recieving 2d field",kt,jn ; flush(numout)
                CALL cpl_rcv( jn, isec, frcv(jn)%z3, xcplmask(:,:,1:nn_cplmodel), nrcvinfo(jn) )
             END IF
-write(numout,*) "RSRH completed recieve of field via call to cpl_rcv",kt,jn ; flush(numout)
 
          END IF
       END DO
-write(numout,*) "RSRH still in cpl_rcv",kt ; flush(numout)
       !                                                      ! ========================= !
       IF( srcv(jpr_otx1)%laction ) THEN                      !  ocean stress components  !
@@ -1440,10 +1422,8 @@
          zmask_sum = glob_sum( tmask(:,:,1) )
       ENDIF
-write(numout,*) "RSRH still in cpl_rcv at teswt for grnm",kt ; flush(numout)
 
       IF( srcv(jpr_grnm)%laction .AND. nn_coupled_iceshelf_fluxes == 1 ) THEN
          ! This is a zero dimensional, single value field. 
          zgreenland_icesheet_mass_in =  frcv(jpr_grnm)%z3(1,1,1)
-write(numout,*) "RSRH still in cpl_rcv inside teswt for grnm",kt ; flush(numout)
 
          greenland_icesheet_timelapsed = greenland_icesheet_timelapsed + rdt         