Index: /branches/NERC/dev_r5518_GO6_under_ice_relax/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml
===================================================================
--- /branches/NERC/dev_r5518_GO6_under_ice_relax/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 10047)
+++ /branches/NERC/dev_r5518_GO6_under_ice_relax/NEMOGCM/CONFIG/SHARED/field_def_bgc.xml	(revision 10048)
@@ -632,4 +632,7 @@
        <field id="ATF_OXY_E3T"  long_name="ATF_OXY * E3T"                                     unit="mmol-O2/m2/s" > ATF_OXY * e3t </field>
        <field id="ATF_OXY_INV"  field_ref="ATF_OXY_E3T" long_name="ATF_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="ATF_OMD"      long_name="PI dissolved inorganic carbon Asselin Filter Trend"   unit="mmol-C/m3/s" />
+       <field id="ATF_OMD_E3T"  long_name="ATF_OMD * E3T"                                     unit="mmol-C/m2/s" > ATF_OMD * e3t </field>
+       <field id="ATF_OMD_INV"  field_ref="ATF_OMD_E3T" long_name="ATF_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" />
 
       <!-- Ideal traceurs : variables available with key_idtra -->
@@ -713,4 +716,7 @@
        <field id="XAD_OXY_E3T"  long_name="XAD_OXY * E3T"                                     unit="mmol-O2/m2/s" > XAD_OXY * e3t </field>
        <field id="XAD_OXY_INV"  field_ref="XAD_OXY_E3T" long_name="XAD_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="XAD_OMD"      long_name="PI dissolved inorganic carbon X-Advection Trend"      unit="mmol-C/m3/s" /> 
+       <field id="XAD_OMD_E3T"  long_name="XAD_OMD * E3T"                                     unit="mmol-C/m2/s" > XAD_OMD * e3t </field>
+       <field id="XAD_OMD_INV"  field_ref="XAD_OMD_E3T" long_name="XAD_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" /> 
        <!-- trd case: jptra_yad -->
        <field id="YAD_CHN"      long_name="Non-diatom Chl-a Y-Advection Trend"                unit="mg-Chl/m3/s" />
@@ -759,4 +765,7 @@
        <field id="YAD_OXY_E3T"  long_name="YAD_OXY * E3T"                                     unit="mmol-O2/m2/s" > YAD_OXY * e3t </field>
        <field id="YAD_OXY_INV"  field_ref="YAD_OXY_E3T" long_name="YAD_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="YAD_OMD"      long_name="PI dissolved inorganic carbon Y-Advection Trend"      unit="mmol-C/m3/s" /> 
+       <field id="YAD_OMD_E3T"  long_name="YAD_OMD * E3T"                                     unit="mmol-C/m2/s" > YAD_OMD * e3t </field>
+       <field id="YAD_OMD_INV"  field_ref="YAD_OMD_E3T" long_name="YAD_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" /> 
        <!-- trd case: jptra_zad -->
        <field id="ZAD_CHN"      long_name="Non-diatom Chl-a Z-Advection Trend"                unit="mg-Chl/m3/s" />
@@ -805,4 +814,7 @@
        <field id="ZAD_OXY_E3T"  long_name="ZAD_OXY * E3T"                                     unit="mmol-O2/m2/s" > ZAD_OXY * e3t </field>
        <field id="ZAD_OXY_INV"  field_ref="ZAD_OXY_E3T" long_name="ZAD_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="ZAD_OMD"      long_name="PI dissolved inorganic carbon Z-Advection Trend"      unit="mmol-C/m3/s" /> 
+       <field id="ZAD_OMD_E3T"  long_name="ZAD_OMD * E3T"                                     unit="mmol-C/m2/s" > ZAD_OMD * e3t </field>
+       <field id="ZAD_OMD_INV"  field_ref="ZAD_OMD_E3T" long_name="ZAD_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" /> 
        <!-- trd case: jptra_totad -->
        <field id="TAD_CHN"      long_name="Non-diatom Chl-a Total Advection Trend"             unit="mg-Chl/m3/s" />
@@ -851,4 +863,7 @@
        <field id="TAD_OXY_E3T"  long_name="TAD_OXY * E3T"                                      unit="mmol-O2/m2/s" > TAD_OXY * e3t </field>
        <field id="TAD_OXY_INV"  field_ref="TAD_OXY_E3T" long_name="TAD_OXY Inventory"          unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="TAD_OMD"      long_name="PI dissolved inorganic carbon Total Advection Trend"   unit="mmol-C/m3/s" /> 
+       <field id="TAD_OMD_E3T"  long_name="TAD_OMD * E3T"                                      unit="mmol-C/m2/s" > TAD_OMD * e3t </field>
+       <field id="TAD_OMD_INV"  field_ref="TAD_OMD_E3T" long_name="TAD_OMD Inventory"          unit="mmol-C/m2/s" grid_ref="vert_sum" /> 
        <!-- trd case: jptra_ldf -->
        <field id="LDF_CHN"      long_name="Non-diatom Chl-a Lateral Mixing Trend"             unit="mg-Chl/m3/s" />
@@ -897,4 +912,7 @@
        <field id="LDF_OXY_E3T"  long_name="LDF_OXY * E3T"                                     unit="mmol-O2/m2/s" > LDF_OXY * e3t </field>
        <field id="LDF_OXY_INV"  field_ref="LDF_OXY_E3T" long_name="LDF_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="LDF_OMD"      long_name="PI dissolved inorganic carbon Lateral Mixing Trend"   unit="mmol-C/m3/s" />
+       <field id="LDF_OMD_E3T"  long_name="LDF_OMD * E3T"                                     unit="mmol-C/m2/s" > LDF_OMD * e3t </field>
+       <field id="LDF_OMD_INV"  field_ref="LDF_OMD_E3T" long_name="LDF_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_bbl -->
        <field id="BBL_CHN"      long_name="Non-diatom Chl-a Bottom Boundary Trend"             unit="mg-Chl/m3/s" />
@@ -943,4 +961,7 @@
        <field id="BBL_OXY_E3T"  long_name="BBL_OXY * E3T"                                      unit="mmol-O2/m2/s" > BBL_OXY * e3t </field>
        <field id="BBL_OXY_INV"  field_ref="BBL_OXY_E3T" long_name="BBL_OXY Inventory"          unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="BBL_OMD"      long_name="PI dissolved inorganic carbon Bottom Boundary Trend"   unit="mmol-C/m3/s" />
+       <field id="BBL_OMD_E3T"  long_name="BBL_OMD * E3T"                                      unit="mmol-C/m2/s" > BBL_OMD * e3t </field>
+       <field id="BBL_OMD_INV"  field_ref="BBL_OMD_E3T" long_name="BBL_OMD Inventory"          unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_nsr -->
        <field id="FOR_CHN"      long_name="Non-diatom Chl-a Surface Boundary Trend"             unit="mg-Chl/m3/s" />
@@ -989,4 +1010,7 @@
        <field id="FOR_OXY_E3T"  long_name="FOR_OXY * E3T"                                       unit="mmol-O2/m2/s" > FOR_OXY * e3t </field>
        <field id="FOR_OXY_INV"  field_ref="FOR_OXY_E3T" long_name="FOR_OXY Inventory"           unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="FOR_OMD"      long_name="PI dissolved inorganic carbon Surface Boundary Trend"   unit="mmol-C/m3/s" />
+       <field id="FOR_OMD_E3T"  long_name="FOR_OMD * E3T"                                       unit="mmol-C/m2/s" > FOR_OMD * e3t </field>
+       <field id="FOR_OMD_INV"  field_ref="FOR_OMD_E3T" long_name="FOR_OMD Inventory"           unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_zdf -->
        <field id="ZDF_CHN"      long_name="Non-diatom Chl-a Vertical Mixing Trend"             unit="mg-Chl/m3/s" />
@@ -1035,4 +1059,7 @@
        <field id="ZDF_OXY_E3T"  long_name="ZDF_OXY * E3T"                                      unit="mmol-O2/m2/s" > ZDF_OXY * e3t </field>
        <field id="ZDF_OXY_INV"  field_ref="ZDF_OXY_E3T" long_name="ZDF_OXY Inventory"          unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="ZDF_OMD"      long_name="PI dissolved inorganic carbon Vertical Mixing Trend"   unit="mmol-C/m3/s" />
+       <field id="ZDF_OMD_E3T"  long_name="ZDF_OMD * E3T"                                      unit="mmol-C/m2/s" > ZDF_OMD * e3t </field>
+       <field id="ZDF_OMD_INV"  field_ref="ZDF_OMD_E3T" long_name="ZDF_OMD Inventory"          unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_zdfp -->
        <field id="ZDP_CHN"      long_name="Non-diatom Chl-a Kz Diffusive Trend"               unit="mg-Chl/m3/s" />
@@ -1081,4 +1108,7 @@
        <field id="ZDP_OXY_E3T"  long_name="ZDP_OXY * E3T"                                     unit="mmol-O2/m2/s" > ZDP_OXY * e3t </field>
        <field id="ZDP_OXY_INV"  field_ref="ZDP_OXY_E3T" long_name="ZDP_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="ZDP_OMD"      long_name="PI dissolved inorganic carbon Kz Diffusive Trend"     unit="mmol-C/m3/s" />
+       <field id="ZDP_OMD_E3T"  long_name="ZDP_OMD * E3T"                                     unit="mmol-C/m2/s" > ZDP_OMD * e3t </field>
+       <field id="ZDP_OMD_INV"  field_ref="ZDP_OMD_E3T" long_name="ZDP_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_dmp -->
        <field id="DMP_CHN"      long_name="Non-diatom Chl-a Damping Trend"                    unit="mg-Chl/m3/s" />
@@ -1127,4 +1157,7 @@
        <field id="DMP_OXY_E3T"  long_name="DMP_OXY * E3T"                                     unit="mmol-O2/m2/s" > DMP_OXY * e3t </field>
        <field id="DMP_OXY_INV"  field_ref="DMP_OXY_E3T" long_name="DMP_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="DMP_OMD"      long_name="PI dissolved inorganic carbon Damping Trend"          unit="mmol-C/m3/s" />
+       <field id="DMP_OMD_E3T"  long_name="DMP_OMD * E3T"                                     unit="mmol-C/m2/s" > DMP_OMD * e3t </field>
+       <field id="DMP_OMD_INV"  field_ref="DMP_OMD_E3T" long_name="DMP_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_sms -->
        <field id="SMS_CHN"      long_name="Non-diatom Chl-a Sources Minus Sinks Trend"             unit="mg-Chl/m3/s" />
@@ -1173,4 +1206,7 @@
        <field id="SMS_OXY_E3T"  long_name="SMS_OXY * E3T"                                          unit="mmol-O2/m2/s" > SMS_OXY * e3t </field>
        <field id="SMS_OXY_INV"  field_ref="SMS_OXY_E3T" long_name="SMS_OXY Inventory"              unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="SMS_OMD"      long_name="PI dissolved inorganic carbon Sources Minus Sinks Trend"   unit="mmol-C/m3/s" />
+       <field id="SMS_OMD_E3T"  long_name="SMS_OMD * E3T"                                          unit="mmol-C/m2/s" > SMS_OMD * e3t </field>
+       <field id="SMS_OMD_INV"  field_ref="SMS_OMD_E3T" long_name="SMS_OMD Inventory"              unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_radb -->
        <field id="RDB_CHN"      long_name="Non-diatom Chl-a-b negative values correction trend"             unit="mg-Chl/m3/s" />
@@ -1219,4 +1255,7 @@
        <field id="RDB_OXY_E3T"  long_name="RDB_OXY * E3T"                                                   unit="mmol-O2/m2/s" > RDB_OXY * e3t </field>
        <field id="RDB_OXY_INV"  field_ref="RDB_OXY_E3T" long_name="RDB_OXY Inventory"                       unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="RDB_OMD"      long_name="PI dissolved inorganic carbon-b negative values correction trend"   unit="mmol-C/m3/s" />
+       <field id="RDB_OMD_E3T"  long_name="RDB_OMD * E3T"                                                   unit="mmol-C/m2/s" > RDB_OMD * e3t </field>
+       <field id="RDB_OMD_INV"  field_ref="RDB_OMD_E3T" long_name="RDB_OMD Inventory"                       unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_radn -->
        <field id="RDN_CHN"      long_name="Non-diatom Chl-a-n negative values correction trend"             unit="mg-Chl/m3/s" />
@@ -1265,4 +1304,7 @@
        <field id="RDN_OXY_E3T"  long_name="RDN_OXY * E3T"                                                   unit="mmol-O2/m2/s" > RDN_OXY * e3t </field>
        <field id="RDN_OXY_INV"  field_ref="RDN_OXY_E3T" long_name="RDN_OXY Inventory"                       unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="RDN_OMD"      long_name="PI dissolved inorganic carbon-n negative values correction trend"   unit="mmol-C/m3/s" />
+       <field id="RDN_OMD_E3T"  long_name="RDN_OMD * E3T"                                                   unit="mmol-C/m2/s" > RDN_OMD * e3t </field>
+       <field id="RDN_OMD_INV"  field_ref="RDN_OMD_E3T" long_name="RDN_OMD Inventory"                       unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd case: jptra_iso -->
        <field id="ISO_CHN"      long_name="Non-diatom Chl-a Isopycnal Mixing Trend"             unit="mg-Chl/m3/s" > LDF_CHN + ZDF_CHN - ZDP_CHN  </field>
@@ -1311,4 +1353,7 @@
        <field id="ISO_OXY_E3T"  long_name="ISO_OXY * E3T"                                       unit="mmol-O2/m2/s" > ISO_OXY * e3t </field>
        <field id="ISO_OXY_INV"  field_ref="ISO_OXY_E3T" long_name="ISO_OXY Inventory"           unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="ISO_OMD"      long_name="PI dissolved inorganic carbon Isopycnal Mixing Trend"   unit="mmol-C/m3/s" > LDF_OMD + ZDF_OMD - ZDP_OMD  </field>
+       <field id="ISO_OMD_E3T"  long_name="ISO_OMD * E3T"                                       unit="mmol-C/m2/s" > ISO_OMD * e3t </field>
+       <field id="ISO_OMD_INV"  field_ref="ISO_OMD_E3T" long_name="ISO_OMD Inventory"           unit="mmol-C/m2/s" grid_ref="vert_sum" />
 
       <!-- Ideal traceurs : variables available with key_idtra -->
@@ -1625,4 +1670,7 @@
        <field id="TOT_OXY_E3T"  long_name="TOT_OXY * E3T"                                     unit="mmol-O2/m2/s" > TOT_OXY * e3t </field>
        <field id="TOT_OXY_INV"  field_ref="TOT_OXY_E3T" long_name="TOT_OXY Inventory"         unit="mmol-O2/m2/s" grid_ref="vert_sum" />
+       <field id="TOT_OMD"      long_name="PI dissolved inorganic carbon Total Trend"         unit="mmol-C/m3/s" />
+       <field id="TOT_OMD_E3T"  long_name="TOT_OMD * E3T"                                     unit="mmol-C/m2/s" > TOT_OMD * e3t </field>
+       <field id="TOT_OMD_INV"  field_ref="TOT_OMD_E3T" long_name="TOT_OMD Inventory"         unit="mmol-C/m2/s" grid_ref="vert_sum" />
        <!-- trd : VERIF TRENDS  -->
        <!--  <field id="TOT_DIN_CHECK" long_name="DIN - indirect calculation TOTAL trend"           unit="mmol-N/m3/s" > TAD_DIN_E3T + BBL_DIN_E3T + ISO_DIN_E3T + ZDP_DIN_E3T + ATF_DIN_E3T + SMS_DIN_E3T </field>  -->
@@ -1797,4 +1845,5 @@
        <field field_ref="XAD_ALK"     name="XAD_ALK"   />
        <field field_ref="XAD_OXY"     name="XAD_OXY"   />
+       <field field_ref="XAD_OMD"     name="XAD_OMD"   />
        <!-- trd case: jptra_yad -->
        <field field_ref="YAD_CHN"     name="YAD_CHN"   />
@@ -1813,4 +1862,5 @@
        <field field_ref="YAD_ALK"     name="YAD_ALK"   />
        <field field_ref="YAD_OXY"     name="YAD_OXY"   />
+       <field field_ref="YAD_OMD"     name="YAD_OMD"   />
        <!-- trd case: jptra_zad -->
        <field field_ref="ZAD_CHN"     name="ZAD_CHN"   />
@@ -1829,4 +1879,5 @@
        <field field_ref="ZAD_ALK"     name="ZAD_ALK"   />
        <field field_ref="ZAD_OXY"     name="ZAD_OXY"   />
+       <field field_ref="ZAD_OMD"     name="ZAD_OMD"   />
        <!-- trd case: jptra_totad -->
        <field field_ref="TAD_CHN"      name="TAD_CHN"   />
@@ -1845,4 +1896,5 @@
        <field field_ref="TAD_ALK"      name="TAD_ALK"   />
        <field field_ref="TAD_OXY"      name="TAD_OXY"   />
+       <field field_ref="TAD_OMD"      name="TAD_OMD"   />
        <!-- trd case: jptra_ldf -->
        <field field_ref="LDF_CHN"      name="LDF_CHN"   />
@@ -1861,4 +1913,5 @@
        <field field_ref="LDF_ALK"      name="LDF_ALK"   />
        <field field_ref="LDF_OXY"      name="LDF_OXY"   />
+       <field field_ref="LDF_OMD"      name="LDF_OMD"   />
        <!-- trd case: jptra_bbl -->
        <field field_ref="BBL_CHN"      name="BBL_CHN"   />
@@ -1877,4 +1930,5 @@
        <field field_ref="BBL_ALK"      name="BBL_ALK"   />
        <field field_ref="BBL_OXY"      name="BBL_OXY"   />
+       <field field_ref="BBL_OMD"      name="BBL_OMD"   />
        <!-- trd case: jptra_nsr -->
        <field field_ref="FOR_CHN"      name="FOR_CHN"   />
@@ -1893,4 +1947,5 @@
        <field field_ref="FOR_ALK"      name="FOR_ALK"   />
        <field field_ref="FOR_OXY"      name="FOR_OXY"   />
+       <field field_ref="FOR_OMD"      name="FOR_OMD"   />
        <!-- trd case: jptra_zdf -->
        <field field_ref="ZDF_CHN"      name="ZDF_CHN"   />
@@ -1909,4 +1964,5 @@
        <field field_ref="ZDF_ALK"      name="ZDF_ALK"   />
        <field field_ref="ZDF_OXY"      name="ZDF_OXY"   />
+       <field field_ref="ZDF_OMD"      name="ZDF_OMD"   />
        <!-- trd case: jptra_zdfp -->
        <field field_ref="ZDP_CHN"      name="ZDP_CHN"   />
@@ -1925,4 +1981,5 @@
        <field field_ref="ZDP_ALK"      name="ZDP_ALK"   />
        <field field_ref="ZDP_OXY"      name="ZDP_OXY"   />
+       <field field_ref="ZDP_OMD"      name="ZDP_OMD"   />
        <!-- trd case: jptra_dmp --> 
        <!-- NO DAMPING IN MEDUSA - COMMENT DO AVOID NaN  
@@ -1941,5 +1998,6 @@
        <field field_ref="DMP_DiC"      name="DMP_DiC"   />
        <field field_ref="DMP_ALK"      name="DMP_ALK"   />
-       <field field_ref="DMP_OXY"      name="DMP_OXY"   /> -->
+       <field field_ref="DMP_OXY"      name="DMP_OXY"   /> 
+       <field field_ref="DMP_OMD"      name="DMP_OMD"   /> -->
        <!-- trd case: jptra_sms -->
        <field field_ref="SMS_CHN"      name="SMS_CHN"   />
@@ -1958,4 +2016,5 @@
        <field field_ref="SMS_ALK"      name="SMS_ALK"   />
        <field field_ref="SMS_OXY"      name="SMS_OXY"   />
+       <field field_ref="SMS_OMD"      name="SMS_OMD"   /> 
        <!-- trd case: jptra_atf -->
        <field field_ref="ATF_CHN"      name="ATF_CHN"   />
@@ -1974,4 +2033,5 @@
        <field field_ref="ATF_ALK"      name="ATF_ALK"   />
        <field field_ref="ATF_OXY"      name="ATF_OXY"   /> 
+       <field field_ref="ATF_OMD"      name="ATF_OMD"   />
        <!-- trd case: jptra_tot -->   
        <field field_ref="TOT_CHN"      name="TOT_CHN"   />
@@ -1990,4 +2050,5 @@
        <field field_ref="TOT_ALK"      name="TOT_ALK"   />   
        <field field_ref="TOT_OXY"      name="TOT_OXY"   />
+       <field field_ref="TOT_OMD"      name="TOT_OMD"   />
        <!-- trd case: jptra_iso -->
        <field field_ref="ISO_CHN"      name="ISO_CHN"   />   
@@ -2006,4 +2067,5 @@
        <field field_ref="ISO_ALK"      name="ISO_ALK"   />     
        <field field_ref="ISO_OXY"      name="ISO_OXY"   />      
+       <field field_ref="ISO_OMD"      name="ISO_OMD"   />    
     </field_group>
 
@@ -2219,4 +2281,36 @@
           <field field_ref="SMS_C14B_INV"  name="SMS_C14B_INV"  /> 
    </field_group>
+
+
+    <field_group id="trendMEDUSA_omip_dic_long" >
+          <!-- omip pi dic -->
+          <field field_ref="TOT_OMD"      name="TOT_OMD"      />
+          <field field_ref="XAD_OMD"      name="XAD_OMD"      />
+          <field field_ref="YAD_OMD"      name="YAD_OMD"      />
+          <field field_ref="ZAD_OMD"      name="ZAD_OMD"      />
+          <field field_ref="TAD_OMD"      name="TAD_OMD"      />
+          <field field_ref="LDF_OMD"      name="LDF_OMD"      />
+          <field field_ref="BBL_OMD"      name="BBL_OMD"      />
+          <field field_ref="FOR_OMD"      name="FOR_OMD"      />
+          <field field_ref="ZDF_OMD"      name="ZDF_OMD"      />
+          <field field_ref="ZDP_OMD"      name="ZDP_OMD"      />
+          <!-- <field field_ref="DMP_OMD"      name="DMP_OMD" /> -->
+          <field field_ref="SMS_OMD"      name="SMS_OMD"      />
+          <field field_ref="ATF_OMD"      name="ATF_OMD"      />
+          <field field_ref="ISO_OMD"      name="ISO_OMD"      />
+   </field_group>
+
+    <field_group id="trendMEDUSA_omip_dic" >
+          <!-- omip pi dic -->
+          <field field_ref="TOT_OMD_E3T"  name="TOT_OMD_E3T"  />
+          <field field_ref="SMS_OMD_E3T"  name="SMS_OMD_E3T"  />
+   </field_group>
+
+    <field_group id="trendMEDUSA_omip_dic_inv" >
+          <!-- omip pi dic -->
+          <field field_ref="TOT_OMD_INV"  name="TOT_OMD_INV"  />
+          <field field_ref="SMS_OMD_INV"  name="SMS_OMD_INV"  />
+   </field_group>
+
 
     <field_group id="groupMEDUSA_dia" >
Index: /branches/NERC/dev_r5518_GO6_under_ice_relax/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_init.F90
===================================================================
--- /branches/NERC/dev_r5518_GO6_under_ice_relax/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_init.F90	(revision 10047)
+++ /branches/NERC/dev_r5518_GO6_under_ice_relax/NEMOGCM/NEMO/TOP_SRC/MEDUSA/bio_medusa_init.F90	(revision 10048)
@@ -448,6 +448,6 @@
 #  if defined key_omip_dic         
          IF( med_diag%PI_CO2FLUX%dgsave ) THEN
-            ALLOCATE( f_pi_co2flux2d(1:jpi, 1:jpj) )
-            f_pi_co2flux2d(:,:)   = 0.0 !!
+            ALLOCATE( f_pi_co2flux_2d(1:jpi, 1:jpj) )
+            f_pi_co2flux_2d(:,:)   = 0.0 !!
          ENDIF
 #  endif
@@ -471,6 +471,6 @@
 #  if defined key_omip_dic         
          IF( med_diag%PI_TCO2%dgsave ) THEN
-            ALLOCATE( f_pi_TDIC2d(1:jpi, 1:jpj) )
-            f_pi_TDIC2d(:,:)      = 0.0 !!
+            ALLOCATE( f_pi_TDIC_2d(1:jpi, 1:jpj) )
+            f_pi_TDIC_2d(:,:)      = 0.0 !!
          ENDIF
 #  endif
@@ -751,5 +751,5 @@
             f_pi_co2starair_2d(:,:)      = 0.0 !!
          ENDIF
-         IF( med_diag%OCN_PI_DPCO2%dgsave ) THEN
+         IF( med_diag%PI_OCN_DPCO2%dgsave ) THEN
             ALLOCATE( f_pi_ocndpco2_2d(1:jpi, 1:jpj) )
             f_pi_ocndpco2_2d(:,:)      = 0.0 !!