Index: NEMO/trunk/src/OCE/OBS/ddatetoymdhms.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/ddatetoymdhms.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/ddatetoymdhms.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/diaobs.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/diaobs.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/diaobs.F90	(revision 10068)
@@ -99,5 +99,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/find_obs_proc.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/find_obs_proc.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/find_obs_proc.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/grt_cir_dis.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/grt_cir_dis.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/grt_cir_dis.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/grt_cir_dis_saa.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/grt_cir_dis_saa.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/grt_cir_dis_saa.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/linquad.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/linquad.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/linquad.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/maxdist.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/maxdist.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/maxdist.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/mpp_map.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/mpp_map.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/mpp_map.F90	(revision 10068)
@@ -28,5 +28,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_averg_h2d.F90	(revision 10068)
@@ -46,5 +46,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id: obs_averg_h2d.F90 2715 2011-03-30 15:58:35Z rblod $
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_const.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_const.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_const.F90	(revision 10068)
@@ -7,5 +7,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_conv.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_conv.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_conv.F90	(revision 10068)
@@ -37,5 +37,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_conv_functions.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_conv_functions.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_conv_functions.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_fbm.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_fbm.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_fbm.F90	(revision 10068)
@@ -130,5 +130,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_grid.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_grid.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_grid.F90	(revision 10068)
@@ -88,5 +88,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_inter_h2d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_inter_h2d.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_inter_h2d.F90	(revision 10068)
@@ -49,5 +49,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_inter_sup.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_inter_sup.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_inter_sup.F90	(revision 10068)
@@ -29,5 +29,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_inter_z1d.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_inter_z1d.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_inter_z1d.F90	(revision 10068)
@@ -27,5 +27,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_level_search.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_level_search.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_level_search.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_mpp.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_mpp.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_mpp.F90	(revision 10068)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_oper.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_oper.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_oper.F90	(revision 10068)
@@ -34,5 +34,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_prep.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_prep.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_prep.F90	(revision 10068)
@@ -36,5 +36,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_profiles.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_profiles.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_profiles.F90	(revision 10068)
@@ -8,5 +8,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_profiles_def.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_profiles_def.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_profiles_def.F90	(revision 10068)
@@ -192,5 +192,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_altbias.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_altbias.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_read_altbias.F90	(revision 10068)
@@ -44,5 +44,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_prof.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_prof.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_read_prof.F90	(revision 10068)
@@ -38,5 +38,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_read_surf.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_read_surf.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_read_surf.F90	(revision 10068)
@@ -33,5 +33,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id: obs_read_surf.F90 4990 2014-12-15 16:42:49Z timgraham $
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_readmdt.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_readmdt.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_readmdt.F90	(revision 10068)
@@ -40,5 +40,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/src/OCE/OBS/obs_rot_vel.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_rot_vel.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_rot_vel.F90	(revision 10068)
@@ -31,5 +31,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_sort.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_sort.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_sort.F90	(revision 10068)
@@ -23,5 +23,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_surf_def.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_surf_def.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_surf_def.F90	(revision 10068)
@@ -116,5 +116,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_types.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_types.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_types.F90	(revision 10068)
@@ -50,5 +50,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_utils.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_utils.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_utils.F90	(revision 10068)
@@ -37,5 +37,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obs_write.F90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obs_write.F90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obs_write.F90	(revision 10068)
@@ -49,5 +49,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obsinter_h2d.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obsinter_h2d.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obsinter_h2d.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/obsinter_z1d.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/obsinter_z1d.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/obsinter_z1d.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 
Index: NEMO/trunk/src/OCE/OBS/str_c_to_for.h90
===================================================================
--- NEMO/trunk/src/OCE/OBS/str_c_to_for.h90	(revision 9690)
+++ NEMO/trunk/src/OCE/OBS/str_c_to_for.h90	(revision 10068)
@@ -2,5 +2,5 @@
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
    !! $Id$
-   !! Software governed by the CeCILL licence (./LICENSE)
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 