Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/1_namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/2_namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/3_namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/1_namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
Index: NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/AGRIF_DEMO/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                         AGRIF ICE configuration                      !
Index: NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/AMM12/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !                          AMM12 configuration                         !
Index: NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/C1D_PAPA/EXPREF/namelist_cfg	(revision 10072)
@@ -2,5 +2,5 @@
 !! NEMO/OCE :   Reference namelist_ref                                !!
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  :  1 - Domain & run manager (namrun, namcfg, namdom, namtsd, namcrs, namc1d, namc1d_uvd)
+!! NEMO/OCE  :  1 - Domain & run manager (namrun, namcfg, namdom, namtsd, namcrs, namc1d, namc1d_uvd)
 !! namelists    2 - Surface boundary (namsbc, namsbc_flx, namsbc_blk, namsbc_cpl,
 !!                                    namsbc_sas, namtra_qsr, namsbc_rnf,
Index: NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_hgr.F90
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_hgr.F90	(revision 10071)
+++ NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_hgr.F90	(revision 10072)
@@ -29,6 +29,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 10071)
+++ NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_nam.F90	(revision 10072)
@@ -34,6 +34,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$ 
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS
Index: NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_zgr.F90
===================================================================
--- NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_zgr.F90	(revision 10071)
+++ NEMO/trunk/cfgs/C1D_PAPA/MY_SRC/usrdef_zgr.F90	(revision 10072)
@@ -34,6 +34,6 @@
    !!----------------------------------------------------------------------
    !! NEMO/OCE 4.0 , NEMO Consortium (2018)
-   !! $Id:$
-   !! Software governed by the CeCILL licence     (./LICENSE)
+   !! $Id$
+   !! Software governed by the CeCILL license (see ./LICENSE)
    !!----------------------------------------------------------------------
 CONTAINS             
Index: NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/GYRE_BFM/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  : GYRE Configuration namelist : overwrite reference namelist
+!! NEMO/OCE  : GYRE Configuration namelist : overwrite reference namelist
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 
Index: NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/GYRE_PISCES/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite reference namelist
+!! NEMO/OCE  Configuration namelist : overwrite reference namelist
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!                      GYRE PISCES configuration                     !!
Index: NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/ORCA2_ICE_PISCES/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!             ORCA2 - ICE - PISCES configuration                     !!
Index: NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/ORCA2_OFF_TRC/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!               ORCA2 - OFF - TRC configuration                     !!
Index: NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/ORCA2_SAS_ICE/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE  Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!                ORCA2-ICE (with SAS) configuration                  !!
Index: NEMO/trunk/cfgs/SHARED/namelist_ref
===================================================================
--- NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 10071)
+++ NEMO/trunk/cfgs/SHARED/namelist_ref	(revision 10072)
@@ -2,5 +2,5 @@
 !! NEMO/OCE :   Reference namelist_ref                                !!
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA  :  1 - Domain & run manager (namrun, namcfg, namdom, namtsd, namcrs, namc1d, namc1d_uvd)
+!! NEMO/OCE  :  1 - Domain & run manager (namrun, namcfg, namdom, namtsd, namcrs, namc1d, namc1d_uvd)
 !! namelists    2 - Surface boundary (namsbc, namsbc_flx, namsbc_blk, namsbc_cpl,
 !!                                    namsbc_sas, namtra_qsr, namsbc_rnf,
Index: NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg
===================================================================
--- NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 10071)
+++ NEMO/trunk/cfgs/SPITZ12/EXPREF/namelist_cfg	(revision 10072)
@@ -1,4 +1,4 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
-!! NEMO/OPA Configuration namelist : overwrite default values defined in SHARED/namelist_ref
+!! NEMO/OCE Configuration namelist : overwrite default values defined in SHARED/namelist_ref
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !!                       SPITZ 1/12 configuration                     !!